Add a new category
curl --request POST \
--url https://chat.chatclean.com.br/api/v1/accounts/{account_id}/portals/{portal_slug}/categories \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Category Name",
"description": "Category description",
"position": 1,
"slug": "category-name",
"locale": "en",
"icon": "📚",
"parent_category_id": 1,
"associated_category_id": 2
}
'import requests
url = "https://chat.chatclean.com.br/api/v1/accounts/{account_id}/portals/{portal_slug}/categories"
payload = {
"name": "Category Name",
"description": "Category description",
"position": 1,
"slug": "category-name",
"locale": "en",
"icon": "📚",
"parent_category_id": 1,
"associated_category_id": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Category Name',
description: 'Category description',
position: 1,
slug: 'category-name',
locale: 'en',
icon: '📚',
parent_category_id: 1,
associated_category_id: 2
})
};
fetch('https://chat.chatclean.com.br/api/v1/accounts/{account_id}/portals/{portal_slug}/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://chat.chatclean.com.br/api/v1/accounts/{account_id}/portals/{portal_slug}/categories",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Category Name',
'description' => 'Category description',
'position' => 1,
'slug' => 'category-name',
'locale' => 'en',
'icon' => '📚',
'parent_category_id' => 1,
'associated_category_id' => 2
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://chat.chatclean.com.br/api/v1/accounts/{account_id}/portals/{portal_slug}/categories"
payload := strings.NewReader("{\n \"name\": \"Category Name\",\n \"description\": \"Category description\",\n \"position\": 1,\n \"slug\": \"category-name\",\n \"locale\": \"en\",\n \"icon\": \"📚\",\n \"parent_category_id\": 1,\n \"associated_category_id\": 2\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://chat.chatclean.com.br/api/v1/accounts/{account_id}/portals/{portal_slug}/categories")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Category Name\",\n \"description\": \"Category description\",\n \"position\": 1,\n \"slug\": \"category-name\",\n \"locale\": \"en\",\n \"icon\": \"📚\",\n \"parent_category_id\": 1,\n \"associated_category_id\": 2\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://chat.chatclean.com.br/api/v1/accounts/{account_id}/portals/{portal_slug}/categories")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Category Name\",\n \"description\": \"Category description\",\n \"position\": 1,\n \"slug\": \"category-name\",\n \"locale\": \"en\",\n \"icon\": \"📚\",\n \"parent_category_id\": 1,\n \"associated_category_id\": 2\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"description": "<string>",
"locale": "<string>",
"name": "<string>",
"slug": "<string>",
"position": 123,
"portal_id": 123,
"account_id": 123,
"associated_category_id": 123,
"parent_category_id": 123
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Help Center
Add a new category
Add a new category to portal
POST
/
api
/
v1
/
accounts
/
{account_id}
/
portals
/
{portal_slug}
/
categories
Add a new category
curl --request POST \
--url https://chat.chatclean.com.br/api/v1/accounts/{account_id}/portals/{portal_slug}/categories \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Category Name",
"description": "Category description",
"position": 1,
"slug": "category-name",
"locale": "en",
"icon": "📚",
"parent_category_id": 1,
"associated_category_id": 2
}
'import requests
url = "https://chat.chatclean.com.br/api/v1/accounts/{account_id}/portals/{portal_slug}/categories"
payload = {
"name": "Category Name",
"description": "Category description",
"position": 1,
"slug": "category-name",
"locale": "en",
"icon": "📚",
"parent_category_id": 1,
"associated_category_id": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Category Name',
description: 'Category description',
position: 1,
slug: 'category-name',
locale: 'en',
icon: '📚',
parent_category_id: 1,
associated_category_id: 2
})
};
fetch('https://chat.chatclean.com.br/api/v1/accounts/{account_id}/portals/{portal_slug}/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://chat.chatclean.com.br/api/v1/accounts/{account_id}/portals/{portal_slug}/categories",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Category Name',
'description' => 'Category description',
'position' => 1,
'slug' => 'category-name',
'locale' => 'en',
'icon' => '📚',
'parent_category_id' => 1,
'associated_category_id' => 2
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://chat.chatclean.com.br/api/v1/accounts/{account_id}/portals/{portal_slug}/categories"
payload := strings.NewReader("{\n \"name\": \"Category Name\",\n \"description\": \"Category description\",\n \"position\": 1,\n \"slug\": \"category-name\",\n \"locale\": \"en\",\n \"icon\": \"📚\",\n \"parent_category_id\": 1,\n \"associated_category_id\": 2\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://chat.chatclean.com.br/api/v1/accounts/{account_id}/portals/{portal_slug}/categories")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Category Name\",\n \"description\": \"Category description\",\n \"position\": 1,\n \"slug\": \"category-name\",\n \"locale\": \"en\",\n \"icon\": \"📚\",\n \"parent_category_id\": 1,\n \"associated_category_id\": 2\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://chat.chatclean.com.br/api/v1/accounts/{account_id}/portals/{portal_slug}/categories")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Category Name\",\n \"description\": \"Category description\",\n \"position\": 1,\n \"slug\": \"category-name\",\n \"locale\": \"en\",\n \"icon\": \"📚\",\n \"parent_category_id\": 1,\n \"associated_category_id\": 2\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"description": "<string>",
"locale": "<string>",
"name": "<string>",
"slug": "<string>",
"position": 123,
"portal_id": 123,
"account_id": 123,
"associated_category_id": 123,
"parent_category_id": 123
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
userBearerAuthuserApiKey
Path Parameters
Body
application/json
Response
Success

